Bug 1241314 - when enable-shared-storage is enabled, volume get still shows that the option is disabled
Summary: when enable-shared-storage is enabled, volume get still shows that the option...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: RHGS 3.2.0
Assignee: Avra Sengupta
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: 1216951 1351522 1351530
TreeView+ depends on / blocked
 
Reported: 2015-07-09 01:19 UTC by SATHEESARAN
Modified: 2017-03-23 05:22 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: Bug Fix
Doc Text:
The enable-shared-storage option always appeared disabled when the 'volume get VOLNAME enable-shared-storage' command was run, regardless of the actual state. This has been corrected so that the enable-shared-state option's state is shown accurately.
Clone Of:
Environment:
Last Closed: 2017-03-23 05:22:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description SATHEESARAN 2015-07-09 01:19:28 UTC
Description of problem:
-----------------------
'cluster.enable-shared-storage' option is enabled on a volume, but still the volume get on 'gluster_shared_storage' or on any volume outputs that the options is disabled

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
RHGS 3.1 Nightly (glusterfs-3.7.1-8rhs)

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Create a volume and start it
2. Enable the option 'cluster.enable-shared-storage'
3. Execute 'volume get' to retrieve the value of the option 'cluster.enable-shared-storage'

Actual results:
---------------
From 'gluster volume get' the option 'cluster.enable-shared-storage' remains as disabled

Expected results:
-----------------
From the output of 'gluster volume get', the option 'cluster.enable-shared-storage' should be enabled , when its enabled through volume set


Additional info:
----------------
[root@ ~]# gluster volume info
 
Volume Name: gluster_shared_storage
Type: Replicate
Volume ID: ac9d7eca-3099-4f18-ae82-db9618f3bf0d
Status: Started
Number of Bricks: 1 x 2 = 2
Transport-type: tcp
Bricks:
Brick1: dhcp37-144.lab.eng.blr.redhat.com:/var/lib/glusterd/ss_brick
Brick2: 10.70.37.106:/var/lib/glusterd/ss_brick
Options Reconfigured:
performance.readdir-ahead: on
cluster.enable-shared-storage: enable

[root@ ~]# gluster volume get gluster_shared_storage enable-shared-storage
Option                                  Value                                   
------                                  -----                                   
cluster.enable-shared-storage           disable                                 

[root@ ~]# gluster volume get gluster_shared_storage cluster.enable-shared-storage
Option                                  Value                                   
------                                  -----                                   
cluster.enable-shared-storage           disable

Comment 2 SATHEESARAN 2015-07-10 07:07:44 UTC
Marking this issue as a KNOWN_ISSUE for RHGS 3.1

Comment 3 monti lawrence 2015-07-22 19:58:48 UTC
Doc text is edited. Please sign off to be included in Known Issues.

Comment 4 rjoseph 2015-07-27 09:12:03 UTC
The doc text look fine to me.

Comment 5 Anjana Suparna Sriram 2015-07-28 03:15:36 UTC
Included the edited text.

Comment 6 Atin Mukherjee 2016-10-20 12:21:52 UTC
This BZ has been already fixed by http://review.gluster.org/#/c/13272/ in upstream mainline and 3.8 (as a rebase to master) and has been made available to rhgs-3.2.0 as a rebase to upstream 3.8.4. This bug can be verified and closed now?

Comment 7 SATHEESARAN 2016-10-25 07:51:59 UTC
Tested with RHGS 3.2.0 interim build ( glusterfs-3.8.4-3.el7rhgs ) and the issue is no longer seen

# gluster volume get vmstore enable-shared-storage
Option                                  Value                                   
------                                  -----                                   
cluster.enable-shared-storage           enable

Comment 10 Avra Sengupta 2017-03-14 05:40:06 UTC
Look good to me. Verified.

Comment 12 errata-xmlrpc 2017-03-23 05:22:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.